Package nu.xom

# Class NoSuchAttributeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
nu.xom.XMLException
nu.xom.NoSuchAttributeException

All Implemented Interfaces:
  `Serializable`

public class NoSuchAttributeException extends XMLException

Indicates that an attribute with a certain name and/or namespace does not exist. This is normally thrown after an attempt to remove such a non-existent attribute.

Version:
  1.0
Author:
  Elliotte Rusty Harold
See Also:
  - `Element.removeAttribute(Attribute)`
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`NoSuchAttributeException(String message)`
Creates a new `NoSuchAttributeException` with a detail message.
`NoSuchAttributeException(String message, Throwable cause)`
Creates a new `NoSuchAttributeException` with the specified detail message and an underlying root cause.

## Method Summary

### Methods inherited from class nu.xom.XMLException

`getCause, initCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### NoSuchAttributeException

public NoSuchAttributeException(String message)

Creates a new `NoSuchAttributeException` with a detail message.

Parameters:
  `message` - explains the reason for the exception

### NoSuchAttributeException

public NoSuchAttributeException(String message, Throwable cause)

Creates a new `NoSuchAttributeException` with the specified detail message and an underlying root cause.

Parameters:
  `message` - explains the reason for the exception
  `cause` - the nested exception that caused this exception